Bug 967579 - (PM-264, PRODMGT-264) Implement PRODMGT-264: Specifically the support of HTTP Basic Authentication and SSL encryption
Implement PRODMGT-264: Specifically the support of HTTP Basic Authentication ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity urgent
: ER01
: JON 3.2.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On: 969584
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 09:48 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 969584 (view as bug list)
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker PRODMGT-264 Major Closed Support Subversion HTTP Basic Authentication and One-Way and Two-Way SSL Authentication when deploying bundles via URL 2014-01-16 03:18:48 EST

  None (edit)
Description Charles Crouch 2013-05-27 09:48:57 EDT
This BZ is around doing a partial implementation of https://issues.jboss.org/browse/PRODMGT-264

The components to be implemented for JON3.2 are:
a) support for creating bundles in JON from a SVN server secured with basic HTTP auth
b) verify that in addition to working with basic HTTP authentication the JON server can also create a bundle from a server using a https connection, assuming that a trusted CA certificate is installed on the remote server
c) verify that in addition to working with basic HTTP authentication the JON server can also create a bundle from a server using a https connection, assuming that a non-trusted CA certificate is installed on the remote server and the non-trusted cert is installed on the JBoss ON keystore.
Comment 1 Lukas Krejci 2013-06-05 07:40:50 EDT
Note that this is now in master through BZ 969584 and is going to be available in RHQ 4.8.0.
Comment 3 Larry O'Leary 2013-09-06 10:32:57 EDT
As this is MODIFIED or ON_QA, setting milestone to ER1.
Comment 4 Mike Foley 2013-09-13 15:45:47 EDT
verified 

https://engineering.redhat.com/trac/jon/ticket/615

Note You need to log in before you can comment on or make changes to this bug.